Issue 28295 - gcc34 STLport patch
gcc34 STLport patch
Status: CLOSED FIXED
Product: porting
Classification: Code
Component: code
OOo 1.1.1
All All
: P3 trivial (vote)
: OOo 2.0
Assigned To: fa
issues@porting
:
Depends on:
Blocks: 28294
  Show dependency treegraph
 
Reported: 2004-04-23 15:47 UTC by fa
Modified: 2004-08-11 17:28 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
replace stlport/STLport-4.5.patch wtih this file (11.20 KB, text/plain)
2004-04-23 15:48 UTC, fa
no flags Details
STLport-4.5.3 patch so far appears to work with gcc-3.4.0 (11.42 KB, patch)
2004-05-07 16:20 UTC, irf
no flags Details | Diff
suplemental patch to STLport-4.5.3 to patch /stlport/makefile.mk to use STLport-4.5.3 (739 bytes, patch)
2004-05-07 16:23 UTC, irf
no flags Details | Diff
Additional STLport patch required to deal with "linux" keyword (616 bytes, patch)
2004-07-08 18:54 UTC, fa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description fa 2004-04-23 15:47:49 UTC
STLport needs a slight change for gcc 3.4.

For example, STLport/stlport/stl/_alloc.h:416

  typedef typename _Allocator::_STLP_TEMPLATE rebind<_Tp> _Rebind_type;

gcc34 complains that one must use "_Allocator::template".

_STLP_TEMPLATE is defined in STLport/stlport/stl/_config.h:623

# ifndef _STLP_NO_MEMBER_TEMPLATE_KEYWORD
#   define _STLP_TEMPLATE template
# else
#   define _STLP_TEMPLATE
# endif

Currently, STLport's config/stl_gcc.h specifically #undef's
_STLP_NO_MEMBER_TEMPLATE_KEYWORD, resulting in the above error.  Patch corrects
that behavior, and adds a "return NULL" to another function in _ios_base.h to
suppress a gcc warning.
Comment 1 fa 2004-04-23 15:48:32 UTC
Created attachment 14729 [details]
replace stlport/STLport-4.5.patch wtih this file
Comment 2 Martin Hollmichel 2004-04-23 15:53:58 UTC
set target.
Comment 3 fa 2004-04-28 17:02:10 UTC
I'm not quite happy with these patches, I'd like to investigate options a bit
more here.  It seems somewhat stupid to have to keep doing "self->" for
everything GCC complains about, and I'm afraid it may have to be done for a lot
of code.  If there is a way that touches less code, we should do that.
Comment 4 sander_traveling 2004-04-28 17:36:05 UTC
did you check if / what happens if member templates are turned on for gcc34? if
it works with gcc34, and doesn't cause exported symbols to change somewhere we
could add a gcc34 specific exception to stl_gcc. 
Comment 5 irf 2004-05-07 16:16:25 UTC
on my distro, gentoo, STLport-4.5.3 is used when building OOo
so i'm going to go ahead and submit the STLport-4.5.3 which
is been used with gcc-3.4.0
hth
Comment 6 irf 2004-05-07 16:20:02 UTC
Created attachment 15066 [details]
STLport-4.5.3 patch so far appears to work with gcc-3.4.0
Comment 7 irf 2004-05-07 16:23:03 UTC
Created attachment 15067 [details]
suplemental patch to STLport-4.5.3 to patch /stlport/makefile.mk to use STLport-4.5.3
Comment 8 Martin Hollmichel 2004-06-02 12:33:41 UTC
reassign to Dan
Comment 9 fa 2004-06-04 15:57:30 UTC
irf: your STLport 4.5.3 patch has large new chunks in it.  can you please
explain the changes?

STLport-4.5.patch committed to cws_src680_gcc34fixes01
Comment 10 fa 2004-07-08 18:54:06 UTC
Created attachment 16332 [details]
Additional STLport patch required to deal with "linux" keyword
Comment 11 fa 2004-07-13 21:30:19 UTC
July 8th patch committed to cws_src680_gcc340fixes01
Comment 12 jens-heiner.rechtien 2004-08-11 17:28:29 UTC
closing ...